;
{
  try {
    let e = "undefined" != typeof window ? window : "undefined" != typeof global ? global : "undefined" != typeof globalThis ? globalThis : "undefined" != typeof self ? self : {}, n = new e.Error().stack;
    n && (e._sentryDebugIds = e._sentryDebugIds || {}, e._sentryDebugIds[n] = "3c5ada1d-5036-49a5-9608-d66dae0b3254", e._sentryDebugIdIdentifier = "sentry-dbid-3c5ada1d-5036-49a5-9608-d66dae0b3254");
  } catch (e) {
  }
}
;
import { useQuery } from "@tanstack/preact-query";
import { b as useApiContext, k as httpGet } from "./StoreProvider-CqQrndhS.js";
const getOnboardingStatus = async (legalEntityId, baseUrl) => {
  return httpGet({
    baseUrl,
    path: `legalEntities/${legalEntityId}/onboardingStatus`
  });
};
const useOnboardingStatus = (options) => {
  const { rootLegalEntityId, baseUrl } = useApiContext();
  return useQuery({
    queryKey: ["onboardingStatus"],
    queryFn: () => getOnboardingStatus(rootLegalEntityId.value, baseUrl.value),
    ...options
  });
};
export {
  useOnboardingStatus as u
};
